<%= render :partial => "layouts/base_feedback" %>
<div id="top-menu" style="background-color: #15bccf;height:40px;margin-top: 10px;margin-bottom: 10px;">

	<div class="welcome_logo">
		<%=link_to image_tag("/images/logo.png",weight:"36px", height: "36px")%>
	</div>
	<div id="account">
		<%= render_menu :account_menu -%>
	</div>

  <% if User.current.logged? -%>
	<div id="loggedas">
	<ul style="padding:0 0; margin:0 0;display:inline;">
		<li style="padding:0 0; margin:0 0;display:inline;border-bottom: 0;" class="loggedas_li">
			<%=link_to_user(User.current)%>
            <% hidden_non_project = Setting.find_by_name("hidden_non_project")
                visiable = hidden_non_project && hidden_non_project.value == "0"%>
			<ul class="sub_menu">
              <% if @show_course == 1 && !visiable %>
                <% hasCourse=false %>
                <% User.current.courses.select("courses.*,(SELECT MAX(created_at)  FROM `course_activities` WHERE course_activities.course_id = courses.id) AS a").order("a desc").each do |course| %>
                    <% if !course_endTime_timeout?(course) %>
                          <% hasCourse=true %>
                          <% break %>
                    <% end %>
                <% end %>
                <%= render :partial => 'layouts/user_courses_list', :locals => {:hasCourse => hasCourse} %>
              <% end %>
              <%= render :partial => 'layouts/user_project_list', :locals => {:hasCourse => hasCourse} %>
              <li style="white-space: nowrap;overflow: hidden;text-overflow: ellipsis;">
                <%=link_to l(:label_user_edit), {:controller => 'my', :action=> 'account', host: Setting.host_user}%>
              </li>
			</ul>
		</li>
		<li style="padding:0 0; margin:0 0;display:inline;border-bottom: 0;">
			<%=link_to l(:label_my_message)+'('+User.current.count_new_jour.to_s+')',
                       {:controller=> 'users', :action => 'user_newfeedback', id: User.current.id, host: Setting.host_user},
                       {:class => 'my-message'} if User.current.logged?%>
		</li>

	</ul>
	</div>
	<% end -%>
	<%= render_dynamic_nav if User.current.logged? || !Setting.login_required? -%>
</div>

<script type="text/javascript">
	function setMessageCount () {
		var mes = $('#loggedas .my-message');
		mes.html(mes.html()+ '(' + <%=User.current.count_new_jour.to_s%> + ")");
	}

	function addSlipMenu () {
		var loggedas = $('#loggedas ul li:first');
		var sub_menu = $('.sub_menu');
		loggedas.mouseenter(function(event) {
				sub_menu.show();
		});
		sub_menu.mouseleave(function(event) {
				sub_menu.hide();
		});
	}

    function addProjectSlipMenu () {
        var loggedas = $('#project_loggedas_li');
        var project_sub_menu = $('.project_sub_menu');
        var course_sub_menu = $('.course_sub_menu');
        loggedas.mouseenter(function(event) {
            course_sub_menu.hide();
            project_sub_menu.show();
        });
        project_sub_menu.mouseleave(function(event) {
            project_sub_menu.hide();
        });
    }
    function addCourseSlipMenu () {
        var loggedas = $('#course_loggedas_li');
        var project_sub_menu = $('.project_sub_menu');
        var course_sub_menu = $('.course_sub_menu');
        loggedas.mouseenter(function(event) {
            project_sub_menu.hide();
            course_sub_menu.show();
        });
        course_sub_menu.mouseleave(function(event) {
            course_sub_menu.hide();
        });
    }

    function homeworkSlipMenuOver(id)
    {
        $('.project_sub_menu').hide();
        $('#course_loggedas_li').show();
        $("#homework_loggedas_ul_" + id).show();
    }

    function homeworkSlipMenuOut(id)
    {
        $("#homework_loggedas_ul_" + id).hide();
    }

	$(document).ready(function () {
		addSlipMenu();
        addProjectSlipMenu ();
        addCourseSlipMenu();
        $('.sub_menu').find("a").attr('target', '_blank');
        $('.project_sub_menu').find("a").attr('target', '_blank');
        $('.course_sub_menu').find("a").attr('target', '_blank');
	});
</script>
